import { SplineSeriesBase } from "./SplineSeriesBase";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SplineSeriesBaseView } from "./SplineSeriesBaseView";
import { Clipper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class SplineAreaSeries extends SplineSeriesBase {
    static $t: Type;
    protected bp(): SeriesView;
    protected p4(): CategoryTransitionInMode;
    kk(a: SeriesView): void;
    th: SplineAreaSeriesView;
    constructor();
    tg: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    bv(): SeriesVisibleRangeMode;
    jl(a: boolean, b: SeriesView): void;
    dy(a: Point, b: boolean): boolean;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    readonly useHighMarkerFidelity: boolean;
}
/**
 * @hidden
 */
export declare class SplineAreaSeriesView extends SplineSeriesBaseView {
    static $t: Type;
    protected db: SplineAreaSeries;
    constructor(a: SplineAreaSeries);
    as(): void;
    private dj;
    private dl;
    private dk;
    private dm;
    readonly dn: Path;
    readonly dp: Path;
    readonly dq: Path;
    readonly dr: Path;
    dc(): void;
    dd(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    de(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private df;
    private dh;
    private dg;
    private di;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
